<?php
class formHelper {
	public static function setTextInputs($form, $fields) {
		$keys = array_keys($fields);
		$s = $form->getWidgetSchema();
		foreach($keys as $field) {
			$s[$field] = new sfWidgetFormInputText(
    			array('label' => $fields[$field]), array('class' => "kiwiInput", 'MAXLENGTH' => 250));
		}
	}
	
	public static function getDefaultsArray($form, $fields, $obj) {
		foreach($fields as $field) 
				$form->setDefault($field, $obj->getArray($field));
	}
	
	public static function getDefaults($form, $fields, $obj) {
		foreach($fields as $field) {
		  			$func = "get".str_replace(" ", "", ucwords(str_replace("_", " ", $field)));
		  			$form->setDefault($field, $obj->$func());
		  		}
	}
	
	public static function setDefaultsArray($form, $fields, $obj) {
		 foreach($fields as $field) 
					$obj->setArray($field, $form->getValue($field));
			
	}
	
	public static function setDefaults($form, $fields, $obj) {
		
		foreach($fields as $field) {
		  			$func = "set".str_replace(" ", "", ucwords(str_replace("_", " ", $field)));
		  			$obj->$func($form->getValue($field));
		  		}
	}
	
	public static function resizePicture($pth, $fileName, $width, $height,$method = "scale", $thumbMethod = "center") {
		ini_set("memory_limit","-1");
		$img = null;
		try {
		$path = dirname(__FILE__).'/../../../web/'.$pth.$fileName;
		$tpath = dirname(__FILE__).'/../../../web/'.$pth.'thumb/'.$fileName;
		$img = new sfImage($path);
		
		$img->thumbnail($width, $height, $method);	
		$img->saveAs($tpath);	
		$img->saveAs($path);
		
		$thmb = new sfImage($tpath);
		
		$thmb->thumbnail(sfConfig::get('app_thumb_width'), sfConfig::get('app_thumb_height'), $thumbMethod);
		$thmb->saveAs($tpath);
		} catch(Exception $e) { return null; }
		return $img;;
	
	}
	
	public static function deletePictures($pth, $fileName) {
		
		$path = dirname(__FILE__).'/../../../web/'.$pth.$fileName;
		$tpath = dirname(__FILE__).'/../../../web/'.$pth.'thumb/'.$fileName;
		try {
			unlink($path);
		} catch(Exception $e) {}
		try {
		unlink($tpath);
		} catch(Exception $e) {}
		
	}
	
	
	public static function cutText($stripped) {
		$max = sfConfig::get('app_news_content_preview_length');
		if(strlen($stripped) > $max) {
			$t = 2 * $max;
			$tmp1 = stripos ($stripped, ".", $max);
			$tmp2 = stripos ($stripped, "!", $max);
			$tmp3 = stripos ($stripped, "?", $max);
				
				
			if($tmp1 > 0 && $tmp1 < $t) $t = $tmp1;
			if($tmp2 > 0 && $tmp2 < $t) $t = $tmp2;
			if($tmp3 > 0 && $tmp3 < $t) $t = $tmp3;
				
				
			$stripped = substr($stripped, 0, $t )."...";
		}
		
		return $stripped;
	}
	
	public static function o2a($obj) {
		$res = array();
		foreach($obj as $a) 
				$res[$a->getId()] = $a->getName();
		return $res;
	}
	
	public static function generateRandomString($length=9, $strength=0) {
		$vowels = 'aeuy';
		$consonants = 'bdghjmnpqrstvz';
		if ($strength & 1) {
			$consonants .= 'BDGHJLMNPQRSTVWXZ';
		}
		if ($strength & 2) {
			$vowels .= "AEUY";
		}
		if ($strength & 4) {
			$consonants .= '23456789';
		}
		if ($strength & 8) {
			$consonants .= '@#$%';
		}
	
		$password = '';
		$alt = time() % 2;
		for ($i = 0; $i < $length; $i++) {
			if ($alt == 1) {
				$password .= $consonants[(rand() % strlen($consonants))];
				$alt = 0;
			} else {
				$password .= $vowels[(rand() % strlen($vowels))];
				$alt = 1;
			}
		}
		return $password;
	}
}
?>