<?php
class sfWidgetFormGMapAddress extends sfWidgetForm
{
  public function configure($options = array(), $attributes = array())
  {
    $this->addOption('div.class', 'adminMapContainer');
    $this->addOption('map.class', 'adminMap');
 
    $this->addOption('template.html', '
      <div id="{div.id}" class="{div.class}">
        <input type="text" value="{value}"  id="address" name="{name}" class="{class}" /> 
        <input type="submit" value="Szukaj"  id="lookup" class="btn btn-default" /> <br />
        <div id="{map.id}" class="{map.class}"></div>
      </div>
    ');
 
     $this->addOption('template.javascript', '
     
     
      <script type="text/javascript">
        jQuery(window).bind("load", function() {
          gmap = new sfGmapWidgetWidget({
            map: "{map.id}"
          });
        })
      </script>
    ');
  }
 
  public function getJavascripts()
  {
    return array(
      'googlemaps.js'
    );
  }
 
  public function render($name, $value = null, $attributes = array(), $errors = array())
  {
    // define main template variables
    $template_vars = array(
      '{div.id}'             => $this->generateId($name),
      '{div.class}'          => $this->getOption('div.class'),
      '{map.id}'             => $this->generateId($name.'[map]'),
      '{map.class}'          => $this->getOption('map.class'),
      '{value}'          	 => $value,
      '{name}'          	 => $name,
	  '{class}'          	 => $attributes['class'],
    );
 
    // define the address widget
    $address = new sfWidgetFormInputText(array(), array($this->getOption('address.options')));
    // merge templates and variables
    return strtr(
      $this->getOption('template.html').$this->getOption('template.javascript'),
      $template_vars
    );
  }
}
?>