<?php

require_once dirname(__FILE__).'/../lib/activityGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/activityGeneratorHelper.class.php';

/**
 * activity actions.
 *
 * @package    Kiwi
 * @subpackage activity
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class activityActions extends autoActivityActions
{
public function executeUnsubscribe(sfWebRequest $request) {
		
		$criteria = new Criteria();
		$criteria->add(UserPeer::TOKEN,	$request->getGetParameter("token"), Criteria::LIKE);
		
		$usr = UserPeer::doSelectOne($criteria);
		if($usr) {
			$v = $usr->getVolunteers();
			$v[0]->setNewsletter(false);
			$v[0]->save();
		}
	}	
	
public function executeSendNewsletter(sfWebRequest $request)
  {
  	$criteria = new Criteria();
  	$criteria->add(ActivityPeer::IS_SENT, false, Criteria::EQUAL);
  	$criteria->add(ActivityPeer::ARCHIVED, false, Criteria::EQUAL);
  	 
  	$activities = ActivityPeer::doSelect($criteria);
  	 
  	$criteria = new Criteria();
  	$criteria->add(VolunteerPeer::NEWSLETTER, true, Criteria::EQUAL);
  	$volunteers = VolunteerPeer::doSelect($criteria);
  	 
  	$this->activities = count($activities);
  	$this->users = count($volunteers);
  	
  	ActivityPeer::sendNewsletter($activities, $volunteers);
  	
  	$this->activitiesDeleted = 0;
  	
  	
  	$criteria = new Criteria();
  	$criteria->add(ActivityPeer::DELETE_AT, time(), Criteria::LESS_EQUAL);
  	$activities = ActivityPeer::doSelect($criteria);
  	foreach($activities as $ac) {
  		if($ac->getDeleteAt() != 0) {
  			$ac->delete();
  			$this->activitiesDeleted++;
  		} 
  	}
  	
  	
  
  }
    
public function executeNew(sfWebRequest $request)
  {
  	 $userObject = $this->getUser()->getUserObject();
  	 
  	 $this->oferta = new Activity();
  	 
  	 if($this->getUser()->hasCredential("Organizacja")) {
  	 	$this->oferta->setPhone( $this->getUser()->getFoundationObject()->getPhone() );
  	 	$this->oferta->setContactPerson( $this->getUser()->getFoundationObject()->getContactPerson() );
  	 	$this->oferta->setEmail( $this->getUser()->getUserObject()->getEmail() );
  	 	$this->oferta->setUser( $this->getUser()->getUserObject() );
  	 }
  	 
  	 $this->oferta->setStartsAt( time() );
  	 $this->oferta->setPosition( 1 );
  	 $this->oferta->setFinishesAt( time() );
  	 $this->oferta->setCreatedAt( time() );
  	 
     $this->form = $this->configuration->getForm($this->oferta);
  }
  
   public function executeEdit(sfWebRequest $request)
  {
  	if(!$this->getUser()->hasCredential("Admin") && 
  		$this->getRoute()->getObject()->getUserId() !=  $this->getUser()->getUserObject()->getId())
  		$this->forward404();
  	parent::executeEdit($request);
  }

  public function executeUpdate(sfWebRequest $request)
  {
  	if(!$this->getUser()->hasCredential("Admin") && 
  		$this->getRoute()->getObject()->getUserId() !=  $this->getUser()->getUserObject()->getId())
  		$this->forward404();
  	parent::executeUpdate($request);
  }

  public function executeDelete(sfWebRequest $request)
  {
  	if(!$this->getUser()->hasCredential("Admin") && 
  		$this->getRoute()->getObject()->getUserId() !=  $this->getUser()->getUserObject()->getId())
  		$this->forward404();
  	parent::executeDelete($request);
  }
  
public function executeDetails(sfWebRequest $request) {
  	$this->activity = $this->getRoute()->getObject();
  	
  	$this->forward404Unless($this->activity);
  	
  	if($this->getUser()->isAuthenticated())
  		$this->isAuthenticated = true;
	else $this->isAuthenticated = false;

	if($this->getUser()->hasCredential("Admin"))
		$this->isAdmin = true;
	else $this->isAdmin = false; 		
  		
	if($this->getUser()->hasCredential("Wolontariusz"))
		$this->isVolunteer = true;
	else $this->isVolunteer = false; 

	$this->user = $this->getUser()->getUserObject();
  }
public function executeList(sfWebRequest $request) {
	
	
	$this->from = $this->fromForBox = $request->getParameter("from", "od");
	$this->to = $this->toForBox = $request->getParameter("to", "do");
  	$this->type = $request->getParameter("type");
  	
  	$this->args = '&from='.$this->from.
		  	'&to='.$this->to.
		  	'&type='.$this->type;
  	
  	$criteria = new Criteria();
  
  	$criteria->add(ActivityPeer::ARCHIVED, false, Criteria::EQUAL);
  	
  	
  	if($this->getUser()->isAuthenticated()) {
  		$this->isAuthenticated = true;
  		if(!$this->getUser()->hasCredential("Admin")) {
  			$usr = $this->getUser()->getUserObject();
  			$ids = array();
  			
  			foreach($usr->getUserGroups() as $ug) {
  				array_push($ids, $ug->getGroupId());
  			}
  			
  			$criterion = $criteria->getNewCriterion(ActivityPeer::GROUP_ID, $ids, Criteria::IN);
  			$criterion->addOr($criteria->getNewCriterion(ActivityPeer::GROUP_ID, NULL, Criteria::EQUAL));
  			$criteria->add($criterion);
  			
  		}
  	}
  	else {
  		$this->isAuthenticated = false;
  		$criteria->add(ActivityPeer::GROUP_ID, null, Criteria::EQUAL);
  	}
  	
  	if($this->type == "constant")
  		$criteria->add(ActivityPeer::IS_CONSTANT, true , Criteria::EQUAL);
  	else {
  		
  		$critrion = null;
  		
  		if($this->from != "od" && $this->from != "") {
  			list($d, $m, $y) = explode('/', $this->from);
			$this->from = mktime(0, 0, 0, $m, $d, "20".$y);
			$critrion = $criteria->getNewCriterion(ActivityPeer::STARTS_AT, $this->from, Criteria::GREATER_EQUAL);
  			}
  			
  		
  		if($this->to != "do" && $this->to != "do"){
  			list($d, $m, $y) = explode('/', $this->to);
			$this->to = mktime(23, 59, 59, $m, $d, "20".$y);
  			if($critrion == null)
				$critrion = $criteria->getNewCriterion(ActivityPeer::FINISHES_AT, $this->to, Criteria::LESS_EQUAL);
			else $critrion->addAnd($criteria->getNewCriterion(ActivityPeer::FINISHES_AT, $this->to, Criteria::LESS_EQUAL));
  			}
  			
  		if($critrion != null && $this->type !="action") {
  			$critTmp =  $criteria->getNewCriterion(ActivityPeer::IS_CONSTANT, true , Criteria::EQUAL);
  			$critTmp->addOr($critrion);
  			$criteria->add($critTmp);
  			}
  		}

  		
  	if($this->type == "internet")
  		$criteria->add(ActivityPeer::IS_INTERNET, true, Criteria::EQUAL);  		
  	
  	if($this->type == "action")
  		$criteria->add(ActivityPeer::IS_CONSTANT, false, Criteria::EQUAL);

    $criteria->addAscendingOrderByColumn(ActivityPeer::POSITION);
  	$this->pager = new sfPropelPager('Activity', 20);
	$this->pager->setCriteria($criteria);
	$this->pager->setPage($request->getParameter('page', 1));
	$this->pager->init();	  	
  }  
  
  public function executeApplyNotLogged(sfWebRequest $request)
  {
  	$criteria = new Criteria();
  	$criteria->add(ActivityPeer::ID, $request->getPostParameter('activity'), Criteria::EQUAL);
  	$activity = ActivityPeer::doSelectOne($criteria);
  	ActivityPeer::sendApplicationNotLogged(
  		$activity,
  		$request->getPostParameter('email'), 
  		$request->getPostParameter('phone')
  		);
  }	
  public function executeApplyLogged(sfWebRequest $request)
  {
  	$criteria = new Criteria();
  	$criteria->add(ActivityPeer::ID, $request->getPostParameter('activity'), Criteria::EQUAL);
  	$activity = ActivityPeer::doSelectOne($criteria);
  	ActivityPeer::sendApplicationLogged(
  		$activity,
  		$this->getUser()->getVolunteerObject() 
  	);
  	
  	$ua = new UserActivity();
  	$ua->setActivity($activity);
  	$ua->setUser($this->getUser()->getUserObject());
  	$ua->setStatus(0);
  	$ua->setApplicationDate(time());
  	$ua->save();
  }	
  
  public function executeDeleteParticipant(sfWebRequest $request)
  {
  	$criteria = new Criteria();
  	$criteria->add(UserActivityPeer::ID, $request->getGetParameter('id'), Criteria::EQUAL);
  	$ua = UserActivityPeer::doSelectOne($criteria);
  	$ua->delete();
  	if($ua->getStatus() > 0) {
  		$ua->getActivity()->setPlacesAvailable($ua->getActivity()->getPlacesAvailable() + 1);
  		$ua->getActivity()->save();
  	}
  	$this->redirect('/activity/details/'.$ua->getActivity()->getId());
  }		
  
  public function executeAcceptParticipant(sfWebRequest $request)
  {
  	$criteria = new Criteria();
  	$criteria->add(UserActivityPeer::ID, $request->getGetParameter('id'), Criteria::EQUAL);
  	$ua = UserActivityPeer::doSelectOne($criteria);
  	$ua->setStatus($request->getGetParameter('status'));
  	$ua->save();
  	
  	$ua->getActivity()->setPlacesAvailable($ua->getActivity()->getPlacesAvailable() + 1);
  	$ua->getActivity()->save();
  	
  	if($ua->getActivity()->getPlacesAvailable() > 0) {
  		$ua->getActivity()->setPlacesAvailable($ua->getActivity()->getPlacesAvailable() - 1);
  		$ua->getActivity()->save();
  	}
  	
  	$this->redirect('/activity/details/'.$ua->getActivity()->getId());
  }	
  
  public function executeAddComment(sfWebRequest $request)
  {
  	
  	if($request->isMethod('post')) {
  		$criteria = new Criteria();
  		$criteria->add(UserActivityPeer::ID, $request->getPostParameter('id'), Criteria::EQUAL);
  		$ua = UserActivityPeer::doSelectOne($criteria);
  		$ua->setComment($request->getPostParameter('comment'));
    	$ua->save();
  		
    	$ua->getUser()->setComment(true);
  		$ua->getUser()->save();
    	
  		$this->redirect('/activity/details/'.$ua->getActivity()->getId());
  	} else {
  		$this->id =  $request->getGetParameter('id');
  	}
  }	
  
  public function executeDeleteComment(sfWebRequest $request)
  {
  	$criteria = new Criteria();
  	$criteria->add(UserActivityPeer::ID, $request->getGetParameter('id'), Criteria::EQUAL);
  	$ua = UserActivityPeer::doSelectOne($criteria);
  	$ua->setComment(null);
  	$ua->save();
  	
  	$criteria = new Criteria();
  	$criteria->add(UserActivityPeer::COMMENT, null, Criteria::NOT_EQUAL);
  	
  	if(count($ua->getUser()->getUserActivitys($criteria)) == 0) {
  		
  		$ua->getUser()->setComment(false);
  		$ua->getUser()->save();
  	}
  	
  	$this->redirect('/activity/details/'.$ua->getActivity()->getId());
    }	
    
  public function executeInitPosition(sfWebRequest $request) {
  	$criteria = new Criteria();
    $criteria->addDescendingOrderByColumn(ActivityPeer::ID);
  	$this->activities = ActivityPeer::doSelect($criteria);
  	$position = 1;
  	
  	foreach($this->activities as $activity) {
  		$activity->setPosition($position);
  		$activity->save();
  		$position = $position + 1;
  	}
  	
  }
  public function executeSendMessage(sfWebRequest $request)
  {
  	$this->activity = $this->getRoute()->getObject();
  
  }
  
  public function executeMessageSent(sfWebRequest $request)
  {
  	if($request->hasParameter("id")) {
			$criteria = new Criteria();
			$criteria->add(ActivityPeer::ID, $request->getPostParameter("id"), Criteria::EQUAL);
			$this->activity = ActivityPeer::doSelectOne($criteria);
	
			if(!$this->activity) $this->forward404();
			else {
				$cat = $request->getPostParameter("category");
				
				
				$criteria = new Criteria();
				if($cat >= 0) $criteria->add(UserActivityPeer::STATUS, $cat, Criteria::EQUAL);

				$this->userGroups = array();
				
				foreach($this->activity->getUserActivitys($criteria) as $ua) {
					$ug = new UserGroup();
					$ug->setUser($ua->getUser());
					$ug->setGroupCategory(new GroupCategory());
					array_push($this->userGroups, $ug);
				}
				
				EmailHelper::sendMessageToUserGroups($this->userGroups, $request->getPostParameter("title"), $request->getPostParameter("content"));
			}
		} else $this->forward404();
  }
}
