<?php

require_once dirname(__FILE__).'/../lib/galleryGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/galleryGeneratorHelper.class.php';

/**
 * gallery actions.
 *
 * @package    Kiwi
 * @subpackage gallery
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class galleryActions extends autoGalleryActions
{
	public function executeDetails(sfWebRequest $request){
		$this->gallery = $this->getRoute()->getObject();
	}
	
	public function executeList(sfWebRequest $request) {
	
		$criteria = new Criteria();
		$criteria->addDescendingOrderByColumn(GalleryPeer::ID);
	
		$this->pager = new sfPropelPager('Gallery', sfConfig::get('app_news_per_page'));
		$this->pager->setCriteria($criteria);
		$this->pager->setPage($request->getParameter('page', 1));
		$this->pager->init();
	
	}
	
	public function executeUpdate(sfWebRequest $request)
	{
		$this->Gallery = $this->getRoute()->getObject();
		$this->form = $this->configuration->getForm($this->Gallery);
		 
		if($request->getPostParameter('deleteImage') != null) {
			$criteria = new Criteria();
			$criteria->add(FoundationImagePeer::ID, $request->getPostParameter('deleteImage'), Criteria::EQUAL);
			$img = FoundationImagePeer::doSelectOne($criteria);
	
			if($img != null) $img->delete();
		} else $this->processForm($request, $this->form);
	
		$this->setTemplate('edit');
	}
	protected function processForm(sfWebRequest $request, sfForm $form)
	{
		$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
		if ($form->isValid())
		{
			$galNew = $form->getObject()->isNew();
			$notice = $form->getObject()->isNew() ? 'The item was created successfully.' : 'The item was updated successfully.';
	
			$Gallery = $form->save();
			
			if(!$galNew && $this->form->getValue('newImage') != null) {
				$foundationImage = new FoundationImage();
				$foundationImage->setImage($this->form->getValue('newImage')->save());
				$foundationImage->setGallery($form->getObject());
				$foundationImage->save();
			}
			$this->dispatcher->notify(new sfEvent($this, 'admin.save_object', array('object' => $Gallery)));
	
			if (!$galNew && $request->hasParameter('_save_and_add'))
			{
				$this->getUser()->setFlash('notice', $notice.' You can add another one below.');
	
				$this->redirect('@gallery_new');
			}
			else
			{
				$this->getUser()->setFlash('notice', $notice);
	
				$this->redirect(array('sf_route' => 'gallery_edit', 'sf_subject' => $Gallery));
			}
		}
		else
		{
			$this->getUser()->setFlash('error', 'The item has not been saved due to some errors.', false);
		}
	}
	
}
