<?php

require_once dirname(__FILE__).'/../lib/groupGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/groupGeneratorHelper.class.php';

/**
 * group actions.
 *
 * @package    Kiwi
 * @subpackage group
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class groupActions extends autoGroupActions
{
	public function executeUnsubscribe(sfWebRequest $request) {
	
		$criteria = new Criteria();
		$criteria->add(UserPeer::TOKEN,	$request->getGetParameter("token"), Criteria::LIKE);
	
		$usr = UserPeer::doSelect($criteria);
		foreach($usr as $u) {
			foreach($u->getVolunteers() as $v) {
				$v->setNewsletter(true);
				$v->save();
			}
		}
		
		$criteria = new Criteria();
		$criteria->add(MeetingUserPeer::TOKEN,	$request->getGetParameter("token"), Criteria::LIKE);
		
		$usr = MeetingUserPeer::doSelect($criteria);
		foreach($usr as $u) {
			$u->setStatus(2);
			$u->save();
		}
		
	}
	
	public function executeNew(sfWebRequest $request)
	{
		$this->GroupCategory = new GroupCategory();
		$this->GroupCategory->setIsGeneric(false);
		$this->form = $this->configuration->getForm($this->GroupCategory);
	}

	
	public function executeEdit(sfWebRequest $request)
	{
		$this->GroupCategory = $this->getRoute()->getObject();
		$this->form = $this->configuration->getForm($this->GroupCategory);
		
		$this->UserGroups = array();
		
		if($this->GroupCategory->getIsGeneric()) {
			switch ($this->GroupCategory->getCategory()) {
				case 1:	//all volunteers
					$this->UserGroups = VolunteerPeer::getUserGroups($this->GroupCategory);
					break;
				case 2: //all that were absent at meeting
					$this->UserGroups = MeetingUserPeer::getUserGroups(0,null, time(), $this->GroupCategory);
					break;
			}
		} else {
			$this->UserGroups = $this->GroupCategory->getUserGroups(new Criteria());
		}
		
		
		usort($this->UserGroups, "userGroupSort");
		
	}
	
	private function clearUsers($UserGroups) {
		$res = array();
		
		foreach($UserGroups as $ug) {
			foreach($ug->getUser()->getVolunteers() as $vol) {
				if($vol->getNewsletter()) array_push($res, $ug);
				break;
			}
		}
		
		return $res;
	}
	
	public function executeDelete(sfWebRequest $request)
	{
		if($this->getRoute()->getObject()->getIsGeneric() ==  true)
			$this->forward404();
		parent::executeDelete($request);
	}
	
	public function executeSendMessage(sfWebRequest $request)
	{
		$this->group = $this->getRoute()->getObject();
		
	}
	
	public function executeMessageSent(sfWebRequest $request)
	{
	if($request->hasParameter("id")) {
		$criteria = new Criteria();
		$criteria->add(GroupCategoryPeer::ID, $request->getPostParameter("id"), Criteria::EQUAL);
		$this->group = GroupCategoryPeer::doSelectOne($criteria);
		
		if(!$this->group) $this->forward404();
		else {
			if($this->group->getIsGeneric()) {
				switch ($this->group->getCategory()) {
					case 1:	//all volunteers
						$this->userGroups = VolunteerPeer::getUserGroups($this->group);
						break;
					case 2: //all that were absent at meeting
						$this->userGroups = MeetingUserPeer::getUserGroups(0,null, time(), $this->group);
						break;
				}
			} else {
				$this->userGroups = $this->clearUsers($this->group->getUserGroups(new Criteria()));
				}
			EmailHelper::sendMessageToUserGroups($this->userGroups, $request->getPostParameter("title"), $request->getPostParameter("content"));
			
			}
		} 
	}
	
	public function executeDeleteReceiver(sfWebRequest $request)
	{
		if($this->getRoute()->getObject()->getGroupCategory()->getIsGeneric() == true)
			$this->forward404();
		$this->getRoute()->getObject()->delete();
		
		$this->dispatcher->notify(new sfEvent($this, 'admin.delete_object', array('object' => $this->getRoute()->getObject())));
		$this->getUser()->setFlash('notice', 'The item was deleted successfully.');
		
		$this->redirect('/group/'.$this->getRoute()->getObject()->getGroupCategory()->getId().'/edit');
		
	}
	
	public function executeSendMessageChosen(sfWebRequest $request)
	{
		$this->ids =  $this->getUser()->getVolunteerIds();
			
		if(isset($_COOKIE['groupsToDelete'])) {
			foreach(explode(":", $_COOKIE['groupsToDelete']) as $del ) {
				$this->ids = array_diff($this->ids, array( $del ));
			}
		}
	
		if(isset($_COOKIE['groupsToAdd'])) {
			foreach(explode(":", $_COOKIE['groupsToAdd']) as $add ){
				if(!in_array($add, $this->ids)) {
					array_push($this->ids, $add);
				}
			}
		}
	
	
		$this->getUser()->setVolunteerIds($this->ids);
	
	
		if($request->isMethod('post'))
		{
			
			EmailHelper::sendMessageToUserGroups($this->ids, $request->getPostParameter("content"), $request->getPostParameter("title"));
			$this->getUser()->setVolunteerIds(array());
			$this->redirect('/group/messageSent');
		}
	
	}
	
	
	public function executeAddVolunteers(sfWebRequest $request)
	{
		$this->ids =  $this->getUser()->getVolunteerIds();
		 
		if(isset($_COOKIE['groupsToDelete'])) {
			foreach(explode(":", $_COOKIE['groupsToDelete']) as $del ) {
				$this->ids = array_diff($this->ids, array( $del ));
			}
		}
		
		if(isset($_COOKIE['groupsToAdd'])) {
			foreach(explode(":", $_COOKIE['groupsToAdd']) as $add ){
				if(!in_array($add, $this->ids)) {
					array_push($this->ids, $add);
				}
			}
		}
		
		
		$this->getUser()->setVolunteerIds($this->ids);
		
		$this->form = new ChooseGroupForm($this);
		
		if($request->isMethod('post'))
		{
			$this->form->bind($request->getPostParameters(), array());
			 
			if ($this->form->isValid())
			{
				$groupId = $this->form->getValue('groupId');
				
				
				$ids =  $this->getUser()->getVolunteerIds();
				$criteria = new Criteria();
				$criteria->add(UserPeer::ID, $ids, Criteria::IN);
				
				foreach(UserPeer::doSelect($criteria) as $usr) {
					foreach($usr->getVolunteers() as $vol) {
						
						$criteria2 = new Criteria();
						$criteria2->add(UserGroupPeer::USER_ID, $usr->getId(), Criteria::EQUAL);
						$criteria2->add(UserGroupPeer::GROUP_ID, $groupId, Criteria::EQUAL);
						
						$ug = UserGroupPeer::doSelectOne($criteria2);
						
						if(!$ug) {
							$ug = new UserGroup();
							$ug->setUserId($usr->getId());
							$ug->setGroupId($groupId);
							$ug->save();
						}
						
						break;
					}	
				}
				
				$this->getUser()->setVolunteerIds(array());
				$this->redirect('/group/'.$groupId.'/edit');
			}
		}
	
	}
	
}


function userGroupSort(UserGroup $a, UserGroup $b)
{
	return strcmp($a->getUser()->getName(), $b->getUser()->getName());
}
