<?php

/**
 * news actions.
 *
 * @package    Kiwi
 * @subpackage news
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class indexActions extends sfActions
{
  public function executeIndex(sfWebRequest $request)
  {
		// pobierz programy
	  	$criteria = new Criteria();
		$criteria->add(MenuGroupPeer::CATEGORY, 0, Criteria::EQUAL);
		$criteria->addAscendingOrderByColumn(MenuGroupPeer::POSITION);
		$menuGroups = MenuGroupPeer::doSelect($criteria);
		
		$this->programs = array();
		
		foreach($menuGroups as $menuGroup) {
			
			// odrzuć nazwę
			if ($menuGroup->getName() == 'Główna') {
				continue;
			}
			
			// pobierz eventy (podmenu) zgrupowane w programie zeby z pierwszego wyciągnąć obrazek
			$criteria = new Criteria();
			$criteria->addAscendingOrderByColumn(MenuItemPeer::POSITION);
			$menuItems = $menuGroup->getMenuItems($criteria);
			// interesuje nas tylko pierwszy event na liście
			$menuItem = $menuItems[0];
			
			// odrzuć pustą grupę bez eventów
			if (!is_object($menuItem)) {
				continue;
			}
			
			// wyciągnij id eventa z linku (np. http://kiwi.org.pl/event/details/2074)
			$id = end(explode('/', $menuItem->getLink()));
			if(!$id) {
				continue;
			}
			
			// pobierz informacje o evencie
			$criteria = new Criteria();
			$criteria->add(EventPeer::ID, $id, Criteria::EQUAL);
			$firstEvent = EventPeer::doSelectOne($criteria);
			
			$this->programs[] = array('program' => $menuGroup, 'firstEvent' => $firstEvent);
		}
		
		// pobierz wiadomości
		$criteria = new Criteria();
	  	$criteria->addDescendingOrderByColumn(EventPeer::CREATED_AT);
		$criteria->add(EventPeer::CATEGORY_ID, null, Criteria::NOT_EQUAL);
  		$criteria->add(EventPeer::IS_PUBLISHED, true, Criteria::EQUAL);
	  	$criteria->setLimit(sfConfig::get('app_news_xml_number_index'));
		$this->news = EventPeer::doSelect($criteria);
		
		// pobierz wydarzenia do kalendarza
		$secondsInDay = 86400;
		$criteria = new Criteria();
		$criteria->add(EventPeer::IS_CALENDAR, true, Criteria::EQUAL);
		$criteria->add(EventPeer::IS_PUBLISHED, true, Criteria::EQUAL);
		$criteria->add(EventPeer::STARTS_AT, time() + $secondsInDay * sfConfig::get('app_event_max_days_limit'), Criteria::LESS_EQUAL);
		$criteria->add(EventPeer::FINISHES_AT, time() - $secondsInDay * sfConfig::get('app_event_min_days_limit'), Criteria::GREATER_EQUAL);

		$this->events = EventPeer::doSelect($criteria);
		foreach ($this->events as $event) {
			//echo $event->getStartsAt(null).'<br>';
		}

		/*
	  	$newsTmp = EventPeer::doSelect($criteria);
  		$notIn = array();
	  	foreach($newsTmp as $n) array_push($notIn, $n->getId());
  	
  		$criteria = new Criteria();
		$criteria->addAscendingOrderByColumn(NewsCategoryPeer::ID);
  		$this->categories = NewsCategoryPeer::doSelect( $criteria );
  		$this->news = array();
  		
  		
  		
  		for($i = 0; $i < count($this->categories); $i++) {
  			$criteria = new Criteria();
			$criteria->addDescendingOrderByColumn(EventPeer::CREATED_AT);
			$criteria->add(EventPeer::CATEGORY_ID, $this->categories[$i]->getId(), Criteria::EQUAL);
			$criteria->add(EventPeer::ID, $notIn, Criteria::NOT_IN);
  			$criteria->add(EventPeer::IS_PUBLISHED, true, Criteria::EQUAL);
			$criteria->setLimit(sfConfig::get('app_news_category_number_index'));
			$res = EventPeer::doSelect($criteria);
  			$this->news[$this->categories[$i]->getId()] = $res;
  		}
  		$criteria = new Criteria();
	  	$criteria->addDescendingOrderByColumn(VolunteersActionPeer::CREATED_AT);
	  	$criteria->setLimit(4);
  		$this->volNews = VolunteersActionPeer::doSelect($criteria);
  		
  		$criteria = new Criteria();
  		$criteria->addDescendingOrderByColumn(GalleryPeer::ID);
  		$criteria->setLimit(2);
  		$this->galleries = GalleryPeer::doSelect($criteria);
		 */
  		
  }
  
   public function executeNewsXmlList(sfWebRequest $request)
  {
  	$criteria = new Criteria();
	$criteria->addDescendingOrderByColumn(EventPeer::CREATED_AT);
  	$criteria->add(EventPeer::IS_PUBLISHED, true, Criteria::EQUAL);
	$criteria->setLimit(sfConfig::get('app_news_xml_number_index'));
	$this->news = EventPeer::doSelect($criteria);
  	
  }

   public function executeEventXmlList(sfWebRequest $request)
  {

	$secondsInDay = 86400;
	$criteria = new Criteria();
	$criteria->add(EventPeer::IS_CALENDAR, true, Criteria::EQUAL);
  	$criteria->add(EventPeer::IS_PUBLISHED, true, Criteria::EQUAL);
	$criteria->add(EventPeer::STARTS_AT, time() + $secondsInDay * sfConfig::get('app_event_max_days_limit'), Criteria::LESS_EQUAL);
	$criteria->add(EventPeer::FINISHES_AT, time() - $secondsInDay * sfConfig::get('app_event_min_days_limit'), Criteria::GREATER_EQUAL);
	
	$this->events = EventPeer::doSelect($criteria);
  }
  
  public function executeSupport(sfWebRequest $request)
  {
  	$criteria = new Criteria();
	$criteria->add(PartnerTypePeer::NAME, "Wsparcie", Criteria::LIKE);
	$type = PartnerTypePeer::doSelectOne($criteria);
	
	$criteria = new Criteria();
	$criteria->add(PartnerPeer::CATEGORY_ID, $type->getId(), Criteria::EQUAL);
	$this->partners = PartnerPeer::doSelect($criteria);
  }
 public function executeCooperation(sfWebRequest $request)
  {
  	$criteria = new Criteria();
	$criteria->add(PartnerTypePeer::NAME, "Współpraca", Criteria::LIKE);
	$type = PartnerTypePeer::doSelectOne($criteria);
	
	$criteria = new Criteria();
	$criteria->add(PartnerPeer::CATEGORY_ID, $type->getId(), Criteria::EQUAL);
	$this->partners = PartnerPeer::doSelect($criteria);
  }
}

