<?php

require_once dirname(__FILE__).'/../lib/meetingGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/meetingGeneratorHelper.class.php';

/**
 * meeting actions.
 *
 * @package    Kiwi
 * @subpackage meeting
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class meetingActions extends autoMeetingActions
{
	public function executeNew(sfWebRequest $request)
	{
		$this->Spotkanie = new Meeting();
		$this->Spotkanie->setPlacesTaken(0);
		$this->form = $this->configuration->getForm($this->Spotkanie);
	}
	
	public function executeEdit(sfWebRequest $request)
	{
		$this->Spotkanie = $this->getRoute()->getObject();
		$this->form = $this->configuration->getForm($this->Spotkanie);
		
		if($request->getGetParameter("muid") > 0) {
			$criteria = new Criteria();
			$criteria->add(MeetingUserPeer::ID, $request->getGetParameter("muid"), Criteria::EQUAL);
			$mu =  MeetingUserPeer::doSelectOne($criteria);
			
			if($mu != null && $request->getGetParameter("status") == 9) $mu->delete();
			elseif($mu != null) {
				$mu->setStatus($request->getGetParameter("status"));
				$mu->save();
			}
		}
	}
	
	public function executeScheduleMeeting(sfWebRequest $request)
	{
		$this->nam = $request->getPostParameter("name");
		$this->email = $request->getPostParameter("email");
		$this->phone = $request->getPostParameter("phone");
		$this->meeting = $request->getPostParameter("meeting");
		$this->activity = $request->getPostParameter("act");
		
		
		$this->forward404Unless($request->isMethod('post') && $this->nam && $this->email && $this->phone);

		$criteria = new Criteria();
		$criteria->add(MeetingUserPeer::EMAIL, $this->email, Criteria::EQUAL);
		$criteria->add(MeetingUserPeer::STATUS, 0, Criteria::EQUAL);
		$this->usermeetings = MeetingUserPeer::doSelect($criteria);
		
		$stat = 0;
		foreach($this->usermeetings as $um) {
			if(date_format($um->getMeeting()->getStartsAt(null), 'U') < time()) {
				$stat = 1;
				 break;
			}
			else $stat = 2;
		}
		
		if($stat == 0) {
			if($this->meeting)
			{
				$this->um = new MeetingUser();
				$this->um->setEmail($this->email);
				$this->um->setName($this->nam);
				$this->um->setPhone($this->phone);
				$this->um->setMeetingId($this->meeting);
				if($this->activity > 0)$this->um->setActivityId($this->activity);
				$this->meeting = $this->um->getMeeting();
				
				if($this->meeting->getPlacesAvailable() > $this->meeting->getPlacesTaken()) {
					$this->um->save();
					$this->meeting->setPlacesTaken($this->meeting->getPlacesTaken() + 1);
					if($this->meeting->getPlacesAvailable() <= $this->meeting->getPlacesTaken()) $this->meeting->setIsClosed(true);
					$this->meeting->save();
				}
				UserPeer::sendBecomeVolunteer(
					$this->nam,
					$this->email,
					$this->phone,
					$this->meeting->getStartsAt("d.m.Y H:i")
				);
				$this->forward('user','becomeSent');
				
			} else {
				$criteria = new Criteria();
				$criteria->add(MeetingPeer::IS_CLOSED, false, Criteria::EQUAL);
				$criteria->add(MeetingPeer::STARTS_AT, time(), Criteria::GREATER_THAN);
				$this->meetings = MeetingPeer::doSelect($criteria);
			}
		} elseif($stat == 2) {
			$this->meeting = $this->usermeetings[0];
			UserPeer::sendBecomeVolunteer(
				$this->nam,
				$this->email,
				$this->phone,
				$this->meeting->getMeeting()->getStartsAt("d.m.Y H:i")
			);
				$this->forward('user','becomeSent');
		} else {
			$this->forward('user','becomeSent2');
		}		
	}
	
	public function executeSendMessage(sfWebRequest $request)
	{
		$this->meeting = $this->getRoute()->getObject();
	
	}
	
	public function executeMessageSent(sfWebRequest $request)
	{
		if($request->hasParameter("id")) {
			$criteria = new Criteria();
			$criteria->add(MeetingPeer::ID, $request->getPostParameter("id"), Criteria::EQUAL);
			$this->meeting = MeetingPeer::doSelectOne($criteria);
	
			if(!$this->meeting) $this->forward404();
			else {
				$cat = $request->getPostParameter("category");
				if( $cat == -1 || $cat == 0) {
					$this->userGroups = MeetingUserPeer::getUserGroups(0, $this->meeting->getId(), null, new GroupCategory());
					EmailHelper::sendMessageToUserGroups($this->userGroups, $request->getPostParameter("content"), $request->getPostParameter("title"));
				}

				if( $cat == -1 || $cat == 1) {
					$this->userGroups = MeetingUserPeer::getUserGroups(1, $this->meeting->getId(), null, new GroupCategory());
					EmailHelper::sendMessageToUserGroups($this->userGroups, $request->getPostParameter("content"), $request->getPostParameter("title"));
				}
			}
		} else $this->forward404();
	}
}
