<?php

require_once dirname(__FILE__).'/../lib/menuGroupGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/menuGroupGeneratorHelper.class.php';

/**
 * menuGroup actions.
 *
 * @package    Kiwi
 * @subpackage menuGroup
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class menuGroupActions extends autoMenuGroupActions
{
	public function executeNew(sfWebRequest $request)
	{
		
		$connection = Propel::getConnection();
		$query = 'SELECT MAX(position) AS position FROM menu_group';
		$statement = $connection->prepare($query);
		$statement->execute();
		$position = $statement->fetch();
		$position = $position['position'];
		
		
		$this->MenuGroup = new MenuGroup();
		$this->MenuGroup->setPosition($position + 1);
		$this->form = $this->configuration->getForm($this->MenuGroup);
	}
	
	
	/**
	 * Pobiera eventy zgrupowane w programy
	 * @param sfWebRequest $request
	 */
	public function executeDetails(sfWebRequest $request) {
		
		// pobierz program grupujący eventy (menu)
		
		// parametr wpisany w routing.yml
		$programGroupId = $request->getParameter('programGroupId');
		// przekierowanie adresu /tydzienwolontariatu na program podany w routing.yml
		if (is_numeric($programGroupId)) {
			$criteria = new Criteria();
			$criteria->add(MenuGroupPeer::ID, $programGroupId, Criteria::EQUAL);
			$this->MenuGroup = MenuGroupPeer::doSelectOne($criteria);
		// pobierz obiekt programu na podstawie id zaszytego w url-u
		} else {
			$this->MenuGroup = $this->getRoute()->getObject();
		}
		
		// pobierz eventy (podmenu) zgrupowane w programie
		$criteria = new Criteria();
		$criteria->addAscendingOrderByColumn(MenuItemPeer::POSITION);
		
		// jeśli zalogowany
		if ($this->getUser()->isAuthenticated()) {
			// sprawdź uprawnienia do eventów
			if ($this->getUser()->hasCredential("Admin")) {
				$criteria->add(MenuItemPeer::IS_ADMIN, true, Criteria::EQUAL);
			}
			else {
				if ($this->getUser()->hasCredential("Wolontariusz")) {
					$criteria->add(MenuItemPeer::IS_VOLUNTEER, true, Criteria::EQUAL);
				}
				elseif ($this->getUser()->hasCredential("Organizacja")) {
					$criteria->add(MenuItemPeer::IS_FOUNDATION, true, Criteria::EQUAL);
				}
			}
		}
		else {
			$criteria->add(MenuItemPeer::IS_NOT_LOGGED, true, Criteria::EQUAL);
		}
		
		// pobierz eventy (podmenu)
		$menuItems = $this->MenuGroup->getMenuItems($criteria);
		
		$this->programs = array();
		
		foreach($menuItems as $item) {
			
			// pobierz tytuł eventa
			$name = $item->getName();
			
			// wyciągnij id eventa z linku (np. http://kiwi.org.pl/event/details/2074)
			$id = end(explode('/', $item->getLink()));
			
			// pobierz informacje o evencie
			$criteria = new Criteria();
			$criteria->add(EventPeer::ID, $id, Criteria::EQUAL);
			$event = EventPeer::doSelectOne($criteria);
			$this->programs[] = array('name' => $name, 'event' => $event);
		}
  	}
	
	
	/**
	 * Wyświetla wszystkie programy i ich eventy
	 * @param sfWebRequest $request
	 */
	public function executeList(sfWebRequest $request) {
		// pobierz programy
	  	$criteria = new Criteria();
		$criteria->add(MenuGroupPeer::CATEGORY, 0, Criteria::EQUAL);
		$criteria->addAscendingOrderByColumn(MenuGroupPeer::POSITION);
		$menuGroups = MenuGroupPeer::doSelect($criteria);
		
		$this->programs = array();
		
		foreach($menuGroups as $menuGroup) {
			
			// odrzuć nazwę
			if ($menuGroup->getName() == 'Główna') {
				continue;
			}
			
			
			
			
			// pobierz eventy (podmenu) zgrupowane w programie
			$criteria = new Criteria();
			$criteria->addAscendingOrderByColumn(MenuItemPeer::POSITION);

			// jeśli zalogowany
			if ($this->getUser()->isAuthenticated()) {
				// sprawdź uprawnienia do eventów
				if ($this->getUser()->hasCredential("Admin")) {
					$criteria->add(MenuItemPeer::IS_ADMIN, true, Criteria::EQUAL);
				}
				else {
					if ($this->getUser()->hasCredential("Wolontariusz")) {
						$criteria->add(MenuItemPeer::IS_VOLUNTEER, true, Criteria::EQUAL);
					}
					elseif ($this->getUser()->hasCredential("Organizacja")) {
						$criteria->add(MenuItemPeer::IS_FOUNDATION, true, Criteria::EQUAL);
					}
				}
			}
			else {
				$criteria->add(MenuItemPeer::IS_NOT_LOGGED, true, Criteria::EQUAL);
			}

			// pobierz eventy (podmenu)
			$menuItems = $menuGroup->getMenuItems($criteria);
			
			$events = array();
			foreach($menuItems as $item) {
			
				// pobierz tytuł eventa
				$name = $item->getName();

				// wyciągnij id eventa z linku (np. http://kiwi.org.pl/event/details/2074)
				$id = end(explode('/', $item->getLink()));

				// pobierz informacje o evencie
				$criteria = new Criteria();
				$criteria->add(EventPeer::ID, $id, Criteria::EQUAL);
				$event = EventPeer::doSelectOne($criteria);
				$events[] = array('name' => $name, 'event' => $event);
			}

			$this->programs[] = array('program' => $menuGroup, 'events' => $events);
		}
  	}
	
	
	public function executeUp(sfWebRequest $request)
	{
	
	$criteria = new Criteria();
	$criteria->add(MenuGroupPeer::ID, $_GET['id'], Criteria::EQUAL);
	
	$MenuGroup = MenuGroupPeer::doSelectOne($criteria);
	if($MenuGroup != null && $MenuGroup->getPosition() > 1) {
	$criteria = new Criteria();
	$criteria->add(MenuGroupPeer::CATEGORY, $MenuGroup->getCategory(), Criteria::EQUAL);
	$criteria->add(MenuGroupPeer::POSITION, $MenuGroup->getPosition() - 1, Criteria::EQUAL);
	$MenuGroup2 = MenuGroupPeer::doSelectOne($criteria);
	$MenuGroup2->setPosition($MenuGroup2->getPosition() + 1);
	$MenuGroup2->save();
	$MenuGroup->setPosition($MenuGroup->getPosition() - 1);
	$MenuGroup->save();
	}
	$this->redirect('/menuGroup');
	}
	
	public function executeDown(sfWebRequest $request)
	{
		
	$criteria = new Criteria();
  	$criteria->add(MenuGroupPeer::ID, $_GET['id'], Criteria::EQUAL);
  	 
  	$MenuGroup = MenuGroupPeer::doSelectOne($criteria);
  	if($MenuGroup != null) {
  		$criteria = new Criteria();
  		$criteria->add(MenuGroupPeer::CATEGORY, $MenuGroup->getCategory(), Criteria::EQUAL);
  		$criteria->add(MenuGroupPeer::POSITION, $MenuGroup->getPosition() + 1, Criteria::EQUAL);
  		$MenuGroup2 = MenuGroupPeer::doSelectOne($criteria);
  		if($MenuGroup2 != null) {
	  		$MenuGroup2->setPosition($MenuGroup2->getPosition() - 1);
	  		$MenuGroup2->save();
	  		$MenuGroup->setPosition($MenuGroup->getPosition() + 1);
	  		$MenuGroup->save();
  			}
  		} 
  	$this->redirect('/menuGroup');
	}
	
}
