<?php

require_once dirname(__FILE__).'/../lib/projectGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/projectGeneratorHelper.class.php';

/**
 * project actions.
 *
 * @package    Kiwi
 * @subpackage project
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class projectActions extends autoProjectActions
{
	public function executeDetails(sfWebRequest $request){
		$this->project = $this->getRoute()->getObject();
	}
	
  public function executeUpdate(sfWebRequest $request)
  {
  	$this->Projects = $this->getRoute()->getObject();
	$this->form = $this->configuration->getForm($this->Projects);
	
  	if($request->getPostParameter('deleteImage') != null) {
		  		$criteria = new Criteria();
				$criteria->add(FoundationImagePeer::ID, $request->getPostParameter('deleteImage'), Criteria::EQUAL);
				$img = FoundationImagePeer::doSelectOne($criteria);
				
				if($img != null) $img->delete();
	} else $this->processForm($request, $this->form);
	
    $this->setTemplate('edit');
  }
  
  protected function processForm(sfWebRequest $request, sfForm $form)
  {
  	$form->bind($request->getParameter($form->getName()), $request->getFiles($form->getName()));
  	if ($form->isValid())
  	{
  		$notice = $form->getObject()->isNew() ? 'The item was created successfully.' : 'The item was updated successfully.';
  
  		$Projects = $form->save();
  		
  		if($this->form->getValue('newImage') != null) {
  			$foundationImage = new FoundationImage();
  			$foundationImage->setImage($this->form->getValue('newImage')->save());
  			$foundationImage->setProjects($form->getObject());
  			$foundationImage->save();
  		}
  		
  		
  		if($this->form->getValue('newLogo') != null) {
  		$foundationImage = new FoundationImage();
  		$foundationImage->setImage($this->form->getValue('newLogo')->save());
  		$foundationImage->setLogoLink($this->form->getValue('logo_link'));
  		$foundationImage->setProjects($form->getObject());
  		$foundationImage->setIsLogo(true);
  		$foundationImage->save();
  		}
  		
  		
  		$this->dispatcher->notify(new sfEvent($this, 'admin.save_object', array('object' => $Projects)));
  
  		if ($request->hasParameter('_save_and_add'))
  		{
  			$this->getUser()->setFlash('notice', $notice.' You can add another one below.');
  
  			$this->redirect('@projects_new');
  		}
  		else
  		{
  			$this->getUser()->setFlash('notice', $notice);
  
  			$this->redirect(array('sf_route' => 'projects_edit', 'sf_subject' => $Projects));
  		}
  	}
  	else
  	{
  		$this->getUser()->setFlash('error', 'The item has not been saved due to some errors.', false);
  	}
  }
}
