<?php
class ChangePasswordForm extends sfForm
{
	
	function __construct(sfActions $action) {
		$this->action = $action;
       parent::__construct();
   }

  public function configure()
  {
    $this->setWidgets(array(
      'currentPassword'   => new sfWidgetFormInputPassword(array('label' => 'Obecne hasło',)),
      'newPassword1'   => new sfWidgetFormInputPassword(array('label' => 'Nowe hasło',)),
      'newPassword2'   => new sfWidgetFormInputPassword(array('label' => 'Powtórz nowe hasło',)),
    ));
 
    $this->setValidators(array(
     'newPassword1' => new sfValidatorString(
    			array('max_length' => 20, 
    				  'min_length' => 5
    				  ), 
    			array('max_length' => 'Hasło za długie - wprowadź hasło zawierające od 5 do 20 znaków', 
    				  'min_length' => 'Hasło za krótkie - wprowadź hasło zawierające od 5 do 20 znaków', 
    				  'required' => 'Hasło za krótkie - wprowadź hasło zawierające od 5 do 20 znaków'
    					)
    			),
    'currentPassword' => new passwordValidator(
    			array('password' => $this->action->getUser()->getUserObject()->getPassword()),
    			array('invalid' => 'Obecne hasło nieporawnie wprowadzone')
    			)
    ));
    
    $this->validatorSchema->setPostValidator(
	  new sfValidatorSchemaCompare('newPassword1',  sfValidatorSchemaCompare::EQUAL, 'newPassword2',
	    array(),
	    array('invalid' => 'Nowe hasło nie zostało powtórzone poprawnie'))
	);
	
	$this->validatorSchema->setOption('allow_extra_fields', true);
    $this->validatorSchema->setOption('filter_extra_fields', false);
    
  }
}
?>