<?php
class JoinUsForm extends sfForm
{
	
	function __construct(sfActions $action) {
		$this->action = $action;
       parent::__construct();
   }

  public function configure()
  {
    $this->setWidgets(array(
      'email'   => new sfWidgetFormInputText(array('label' => 'Email',)),
      'name'   => new sfWidgetFormInputText(array('label' => 'Nazwa / Imię i nazwisko',)),
      'phone'   => new sfWidgetFormInputText(array('label' => 'Telefon',))
    ));
 
    $this->validatorSchema["email"] = new sfEmailValidatorExtended(array('userId' => 0), array("exists" => "Zaloguj się. Masz już konto na kiwi. Twoje zgłoszenie nie zostało przyjęte."));
    $this->validatorSchema["phone"]     = new sfValidatorString(array('max_length' => 255, 'required' => true));
	
	$this->validatorSchema["email"]->setMessage("required", "Brak adresu email");
	$this->validatorSchema["phone"]->setMessage("required", "Brak telefonu");
	
	$this->validatorSchema->setOption('allow_extra_fields', true);
    $this->validatorSchema->setOption('filter_extra_fields', false);
    
  }
}
?>