<div class="container">
	<h2 class="color2">Profil wolontariusza: <?php echo $volunteer->getName() ?></h2>

<?php if($volunteerObject->getThumbPath()): ?>
<a href="<?php echo $volunteerObject->getImagePath(); ?>" class="lightbox">
	<img class="kiwiLogo" src="<?php echo $volunteerObject->getThumbPath(); ?>"/>
</a>
<? endif; ?>

<div class="itemBlack">Informacje ogólne</div>
<div class="kiwiFormField">
	<span class="kiwiLabel">Imię:</span> 
	<span class="kiwiValue"><?php echo $volunteerObject->getFirstName(); ?></span>
</div>
<div class="kiwiFormField odd">
	<span class="kiwiLabel">Nazwisko:</span> 
	<span class="kiwiValue"><?php echo $volunteerObject->getLastName(); ?></span>
</div>
<div class="kiwiFormField">
	<span class="kiwiLabel">Płeć:</span> 
	<span class="kiwiValue"><?php echo Volunteer::$sexLabels[$volunteerObject->getIsMale()]; ?></span>
</div>
<div class="kiwiFormField odd">
	<span class="kiwiLabel">Rok urodzenia:</span> 
	<span class="kiwiValue"><?php echo $volunteerObject->getAge(); ?></span>
</div>
<div class="kiwiFormField">
	<span class="kiwiLabel">Sytuacja zawodowa:</span> 
	<span class="kiwiValue"><?php echo Volunteer::$profStatusLabels[$volunteerObject->getProfStatus()]; ?></span>
</div>
<div class="kiwiFormField odd">
	<span class="kiwiLabel">Edukacja:</span> 
	<span class="kiwiValue"><?php echo Volunteer::$educationLabels[$volunteerObject->getEducation()]; ?></span>
</div>
<div class="kiwiFormField odd">
	<span class="kiwiLabel">Utworzono:</span> 
	<span class="kiwiValue"><?php echo $volunteer->getCreated(); ?></span>
</div>

<?php if($isAdmin): ?>

<div class="itemBlack">Dane kontaktowe</div>
<div class="kiwiFormField">
	<span class="kiwiLabel">Telefon:</span> 
	<span class="kiwiValue"><?php echo $volunteerObject->getPhone(); ?></span>
</div>
<div class="kiwiFormField odd">
	<span class="kiwiLabel">E-mail:</span> 
	<span class="kiwiValue"><a  class='kiwiValue' href="mailto:<?php echo $volunteer->getEmail(); ?>"><?php echo $volunteer->getEmail(); ?></a></span>
</div>
<?php endif; ?>


<?php if($volunteerObject->getContent() != ""): ?>

<div class="itemBlack">O sobie</div>
<div class="kiwiFormField">
	<?php echo htmlspecialchars_decode($volunteerObject->getContent()); ?>
</div>
<?php endif; ?>

<div class="itemBlack">Umiejętności</div>

<div class="kiwiFormField">
<table>
   <?php
		$i = 0; 
		$perRow = 3;
		foreach (Volunteer::$skillLabels as $hobby): 
			if($i % $perRow == 0)	echo "<tr>";
		$method = 	"getSkill".$i;
		$checked = $volunteerObject->$method();
		?>
		    <td class="kiwiList">
		    	<span class="<?php if($checked) echo "checked"; else echo "unchecked";?>" /></span>
		    	<?php echo $hobby ?>
		    	</td>
  <?php
    $i++;
    if($i % $perRow == 0)	echo "</tr>";
    endforeach;
    if($i % $perRow != 0)	echo "</tr>";
 ?>
</table>
</div>

<?php if($volunteerObject->getOtherSkills() != ""): ?>
<div class="kiwiFormField">
	<span class="kiwiLabel">Inne umiejętności:</span> 
	<span class="kiwiValue"><?php echo $volunteerObject->getOtherSkills(); ?></span>
</div>
<?php endif; ?>

<div class="itemBlack">Języki obce</div>
<div class="kiwiFormField">
<table>
   <?php
		$i = 0; 
		$perRow = 3;
		foreach (Volunteer::$languageLabels as $hobby): 
			if($i % $perRow == 0)	echo "<tr>";
		$method = 	"getLanguage".$i;
		$checked = $volunteerObject->$method();
		?>
		    <td class="kiwiList">
		    	<span class="<?php if($checked) echo "checked"; else echo "unchecked";?>" /></span>
		    	<?php echo $hobby ?>
		    	</td>
  <?php
    $i++;
    if($i % $perRow == 0)	echo "</tr>";
    endforeach;
    if($i % $perRow != 0)	echo "</tr>";
 ?>
</table>
</div>

<?php if($volunteerObject->getOtherLanguages() != ""): ?>
<div class="kiwiFormField">
	<span class="kiwiLabel">Inne:</span> 
	<span class="kiwiValue"><?php echo $volunteerObject->getOtherLanguages(); ?></span>
</div>
<?php endif; ?>

<div class="itemBlack">Zainteresowania</div>

<div class="kiwiFormField">
<table>
   <?php
		$i = 0; 
		foreach (Volunteer::$hobbyLabels as $hobby): 
			if($i % $perRow == 0)	echo "<tr>";
		$method = 	"getHobby".$i;
		$checked = $volunteerObject->$method();
		?>
		    <td class="kiwiList">
		    	<span class="<?php if($checked) echo "checked"; else echo "unchecked";?>" /></span>
		    	<?php echo $hobby ?>
		    	</td>
  <?php
    $i++;
    if($i % $perRow == 0)	echo "</tr>";
    endforeach;
    if($i % $perRow != 0)	echo "</tr>";
 ?>
</table>
</div>


<?  
$criteria = new Criteria();
if($isAdmin != true) {
	$criteria->add(UserActivityPeer::STATUS, 2, Criteria::EQUAL);
	$criteria->setLimit(sfConfig::get('app_activity_limit'));
}
$criteria->addDescendingOrderByColumn(UserActivityPeer::ID);

if(count($volunteer->getUserActivitys($criteria)) > 0):?>
<div class="itemBlack">Ostatnio uczestniczył: </div>
<div class="listItem">
	<table class="results">
		<?php include_partial('activity/activity_list_header', array('isAuthenticated' => $isAuthenticated, 'isAdmin' => $isAdmin)) ?>
		<tbody>
			<?php
				
				$isOdd = false;
				foreach ($volunteer->getUserActivitys($criteria) as  $item) {
					include_partial('activity/activity_list_row', array('isAuthenticated' => $isAuthenticated, 'isAdmin' => $isAdmin, "isOdd" => $isOdd, "item" => $item->getActivity(), "ua" => $item));
				$isOdd = !$isOdd;
			} ?>
		</tbody>
	</table>
</div>
<?php 
endif; ?>

</div>