<!DOCTYPE html>
<html lang="pl">

<head>
	<?php include_http_metas(); ?>
	<?php include_metas(); ?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <?php include_title(); ?>
	<?php include_stylesheets(); ?>
	
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>

    <!--<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">-->

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body>
	
	<?php if(!isset($_COOKIE["cookies"])):?>
		<?php $cookieContent = Content::findContent("Cookies"); ?>
		<div class="cookies">
			<div class="contaier">
			<div><?php echo htmlspecialchars_decode($cookieContent->getContent()); ?></div>
			<span class="close-cookie">Akceptuję <span>X</span></span>
			</div>
		</div> 
	<?php endif; ?>
	
	<!-- STREFA LOGOWANIA ******************************** -->
	
	<?php
		if ($sf_user->getAttribute("loginFailed") === true) {
			$loginFailed = true;
			// wyczyść parametr przechowywany w sesji
			$sf_user->getAttributeHolder()->remove("loginFailed");
		}
	?>
	
    <div class="container">
		
		<?php
			// menu admina
			if($sf_user->hasCredential("Admin")) {
				include_partial('index/adminMenu', array());
			}
		?>

        <div id="user-container" class="row collapse <?php if ($loginFailed) echo 'in'; ?>">
               
            <!-- niezalogowany -->
            <?php if (!$sf_user->isAuthenticated()): ?>
                
                <div class="col-md-5 col-md-offset-7">

                    <form action="/login/index" method="post" id="login-form">
						<input type="hidden" name="urlF" value="<?php echo $sf_request->getUri(); ?>" />
                        <?php if ($loginFailed): ?>
                            <div class="alert alert-danger" role="alert">
                                <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span> Nieprawidłowy email lub hasło.
                            </div>
                        <?php endif; ?>
                        <div class="form-group">
                            <input type="email" name="login-email" class="form-control color1" placeholder="Email" required="required">
                        </div>
                        <div class="form-group">
                            <input type="password" name="login-password" class="form-control color1" placeholder="Hasło">
                        </div>

                        <button type="submit" class="btn btn-default">ZALOGUJ</button>
                        <a href="/user/becomeVolunteer">Zarejestruj się</a>
                        <a href="/user/retrievePassword">Odzyskaj hasło</a>
                    </form>

            <!-- zalogowany -->
            <?php else: ?>
                <div class="col-md-2 col-md-offset-10 col-sm-3 col-sm-offset-9">
                    <form action="/login/index" method="post">
                        <input type="hidden" name="urlF" value="/" />
                        <input name="logout" type="hidden">
						
                        <?php if($sf_user->hasCredential("Wolontariusz")): ?>
							<a href="/user/editVolunteer"><i class="fa fa-user" aria-hidden="true"></i>&nbsp; MÓJ PROFIL</a><br>
						<?php elseif($sf_user->hasCredential("Organizacja")): ?>
							<a href="/user/editFoundation"><i class="fa fa-user" aria-hidden="true"></i>&nbsp; MÓJ PROFIL</a><br>
						<?php endif; ?>
							
						<a href="/user/changePassword"><i class="fa fa-key" aria-hidden="true"></i>&nbsp; ZMIEŃ HASŁO</a><br>
                        <a href="" onclick="$(this).closest('form').submit(); return false;"><i class="fa fa-unlock-alt" aria-hidden="true"></i>&nbsp; WYLOGUJ</a>
                    </form>
            <?php endif; ?>
                
                
                    <button class="btn-close" data-toggle="collapse" data-target="#user-container" aria-expanded="false" aria-controls="user-container"></button>
                </div>

        </div>
    </div>

    <!-- kurtyna -->
    <div class="site-curtain <?php if(!$loginFailed) echo 'invisible'; ?>"></div>
	
	
	
    <!-- LOGO I MENU ******************************** -->
    <nav class="navbar navbar-default navbar-static-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                    <span class="sr-only">Włącz nawigację</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="/" title="strona domowa"><img src="/img/logo.png" class="img-responsive" alt=""></a>
            </div>
            <div id="navbar" class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li><a href="/kontakt/oNas">O NAS</a></li>
                    <li><a href="/#programs">PROGRAMY</a></li>
<!--                    <li><a href="/#programs">SZKOLENIA</a></li>-->
                    <li><a href="/#news">WIADOMOŚCI</a></li>
                    <li><a href="/#calendar">KALENDARZ</a></li>
                    <li><a href="/#contact">KONTAKT</a></li>
                    <li>
						<?php if (1==1): /*($_GET['login-test'] || $sf_user->isAuthenticated()):*/ ?>
                        <a href="#user-container" class="login-menu" data-toggle="collapse">
                            <?php if ($sf_user->isAuthenticated()): ?>
                                <i class="fa fa-user" aria-hidden="true"></i>&nbsp; KONTO
                            <?php else: ?>
                                <i class="fa fa-lock" aria-hidden="true"></i>&nbsp; ZALOGUJ
                            <?php endif; ?>
                        </a>
						<?php else: ?>
						<a href="http://admin.wolontariatgdansk.pl" target="_blank" class="login-menu"><i class="fa fa-lock" aria-hidden="true"></i>&nbsp; ZALOGUJ</a>
						<?php endif; ?>
                    </li>
                </ul>
            </div>
            <!--/.nav-collapse -->
        </div>
    </nav>

	<?php
		echo $sf_content;
		/*
		if (sfContext::getInstance()->getModuleName() == 'index') {
			echo $sf_content;
		}
		else {
			echo '<div class="container">' . $sf_content . '</div>';
		}
		*/
	?>

	<!-- powrót na górę -->
	<a href="#0" class="cd-top"><i class="fa fa-chevron-up"></i></a>

    <!-- STOPKA ********************************** -->
    <div id="footer-container" class="container-fluid">
        <div class="container">
            <div class="row">

                <div class="col-md-3 col-sm-3 text-center-xs">
                    <h3 class="visible-sm visible-md visible-lg">Kontakt</h3>
                    <p class="visible-sm visible-md visible-lg">
                        plac Solidarności 1
                        <br> 80-863 Gdańsk
                        <br> budynek Europejskiego Centrum Solidarności
                        <br> III piętro, pokoje 3.34 3.35 3.36
                    </p>
                    <p class="visible-sm visible-md visible-lg">
                        <i class="fa fa-phone-square" aria-hidden="true"></i>&nbsp; 58 772 42 18/19
                        <br><i class="fa fa-envelope-square" aria-hidden="true"></i>&nbsp; <a href="mailto:gdansk@wolontariat.org.pl">gdansk@wolontariat.org.pl</a>
                        <br><i class="fa fa-clock-o" aria-hidden="true"></i>&nbsp; 10:00 - 16:00
                    </p>
                    <p>
                        <a href="https://www.facebook.com/wolontariat.gdansk" target="_blank"><i class="fa fa-facebook-square" aria-hidden="true"></i></a>
                        <a href="https://www.instagram.com/wolontariatgdansk" target="_blank"><i class="fa fa-instagram" aria-hidden="true"></i></a>
                        <a href="https://www.youtube.com/user/rcwgdansk" target="_blank"><i class="fa fa-youtube-play" aria-hidden="true"></i></a>
                    </p>
                </div>
                <div class="col-md-3 col-sm-3 pl50 visible-sm visible-md visible-lg">
                    <h3>Menu</h3>
                    <a href="/kontakt/oNas">O nas</a>
                    <br><a href="/#programs">Programy</a>
<!--                    <br><a href="#">Szkolenia</a>-->
                    <br><a href="/#news">Wiadomości</a>
                    <br><a href="/#calendar">Kalendarz</a>
                    <br><a href="/#contact">Kontakt</a>
                </div>
                <!--                <div class="clearfix visible-sm"></div>-->
                <div class="col-md-3 col-sm-3 visible-sm visible-md visible-lg">
                    <h3>Wolontariusze</h3>
                    <a href="/user/becomeVolunteer">Zostań wolontariuszem</a>
                    <br><a href="/activity/list">Znajdź ofertę</a>
                    <br><a href="/index/cooperation">Baza organizacji</a>

                    <br>
                    <br>
                    <br>
                    <h3>Organizacje</h3>
                    <a href="/activityNew/new">Dodaj ofertę</a>
                    <br><a href="/ngo/contract">Porozumienie wolontariackie</a>
                    <br><a href="/ngo/letterOfReference">Zaświadczenie wolontariackie</a>
                </div>
                <div class="col-md-3 col-sm-3 text-center-xs">
                    <h3 class="visible-sm visible-md visible-lg">Inne</h3>
                    <a href="#">Redakcja</a>
                    <br><a href="/kontakt/rules">Regulamin</a>
                    <br><a href="/kontakt/privacy">Polityka prywatności</a>
                </div>

            </div>
        </div>
    </div>



	<?php include_javascripts($escape = true) ?>
    <!-- Bootstrap -->
    <!--<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>-->
</body>

</html>